Get a party by ZUTAX UUID
GET
/api/public/v1/parties/{party_id}
Code sample: cURL
curl --request GET \ --url 'https://api.getzutax.com/api/public/v1/parties/8a1c7f6c-61a1-4d89-8d96-3f7e7747f0c0' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” party_id
required
Party Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media type application/json
PartyResponse
object
id
required
Id
string format: uuid
legal_name
required
Legal Name
string
party_type
required
Party Type
string
is_active
required
Is Active
boolean
is_peppol_participant
Is Peppol Participant
boolean
Examples
Example Sample response
200 response example
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "external_id": "string", "legal_name": "string", "trading_name": "string", "party_type": "supplier", "tax_id": "string", "is_active": true, "is_peppol_participant": false}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples
Example Sample response
422 response example
{ "detail": [ { "loc": [], "msg": "string", "type": "string" } ]}